curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/users/{userUid}/undelete \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/users/{userUid}/undelete"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/users/{userUid}/undelete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"anonymized": true,
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"dateDeleted": "2023-11-07T05:31:56Z",
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"netRateScheme": {
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"note": "<string>",
"priceList": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"role": "ADMIN",
"sourceLangs": [
"<string>"
],
"targetLangs": [
"<string>"
],
"terminologist": true,
"timezone": "<string>",
"uid": "<string>",
"userName": "<string>"
}Restore user
Restores a previously deleted user. Requires ADMIN role. The user must belong to the same organization and must not be a bot account.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the deleted user to restore
Response
OK
User summary object
When false, the user account is deactivated
Show child attributes
Show child attributes
Date the user account was created
Date the user account was deleted; null if the account is active
Email address
First name
Internal numeric ID
Last name
Show child attributes
Show child attributes
Internal note about the user
Show child attributes
Show child attributes
User role
ADMIN, PROJECT_MANAGER, LINGUIST, GUEST, SUBMITTER, PORTAL_MEMBER Source language locales the user works with
Target language locales the user works with
When true, the user may edit approved terms in term bases
IANA timezone identifier
Unique identifier (UID)
Username (login name)
Was this page helpful?